<?php

namespace Thang.luu\Word\Repositories\Eloquent;

use Thang.luu\Word\Interfaces\WordsRepositoryInterface;
use Litepie\Database\Eloquent\BaseRepository;

class WordsRepository extends BaseRepository implements WordsRepositoryInterface
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'name'  => 'like'
    ];

    public function boot()
    {
        $this->pushCriteria(app('Litepie\Database\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('package.word.words.model');
    }
}
