This is a Laravel 5 package that provides word management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `thang.luu/word`.

    "thang.luu/word": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Thang.luu\Word\Providers\WordServiceProvider::class,

```

And also add it to alias

```php
'Word'  => Thang.luu\Word\Facades\Word::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Thang.luu\Word\Providers\WordServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Thang.luu\Word\Providers\WordServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Thang.luu\Word\Providers\WordServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Thang.luu\Word\Providers\WordServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Thang.luu\Word\Providers\WordServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Thang.luu\Word\Providers\WordServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


